コンテンツへスキップ

Lightx · Recamera

統合

モデルID lightx/recamera
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightx/recamera?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.49 490 APIクレジット · ≈ ₽51.68 実行前にファイルを計測します このページで実行

APIキーを取得
Open model 動画変換 #video-to-video#recamera#relight

軌道または目標ポーズによる制御と再ライティングで、新しいカメラパスから既存動画を再撮影します

Open model · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

任意のテキストプロンプト。プロンプトを指定しない場合、Light-Xが動画に自動でキャプションを付けます。

•必須 video_url
ファイルをドロップ、または

入力動画のURL。

詳細設定 camera · mode · seed · enable_safety_checker · trajectory · target_pose
camera デフォルト traj

カメラを制御するモード。

mode デフォルト gradual

カメラ移動に使用するモード。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

recameraモードで必須となるカメラパス設定。

対象カメラのポーズ。camera='target'の場合に必須です。theta、phi、radius、x、yの順に配列で指定します。

POST /run/lightx/recamera?wait=20 見積もり → $0.49
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightx/recamera?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Lightx · Recameraについて

入力`video_url`を受け取り、カメラ視点を変更して再レンダリングします。`camera`に`traj`を設定して`trajectory`を指定するか、`target`を設定して[theta, phi, radius, x, y]形式の`target_pose`を指定します。モーション`mode`にはgradual、bullet、direct、dolly-zoomを指定できます。テキスト`prompt`は任意です。省略すると動画に自動でキャプションが付けられます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
入力動画のURL。
prompt任意
型string | null
任意のテキストプロンプト。プロンプトを指定しない場合、Light-Xが動画に自動でキャプションを付けます。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
camera任意
型enum
デフォルトtraj
trajtarget
カメラを制御するモード。
mode任意
型enum
デフォルトgradual
gradualbulletdirectdolly-zoom
カメラ移動に使用するモード。
trajectory任意
型object
recameraモードで必須となるカメラパス設定。
trajectory.theta必須
型number[]
キーフレームごとの水平方向の回転角度(度)。
trajectory.phi必須
型number[]
キーフレームごとの垂直方向の回転角度(度)。
trajectory.radius必須
型number[]
カメラ距離をスケーリングするキーフレームごとの係数。
target_pose任意
型number[]
対象カメラのポーズ。camera='target'の場合に必須です。theta、phi、radius、x、yの順に配列で指定します。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lightx/recamera",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 490,
    "usd": "0.49",
    "charged": 490,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "input_video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "viz_video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}生成された動画ファイル。
seed
integer生成時に適用したシード値。
input_video
object {url, content_type, file_name, file_size} | null正規化または処理済みの入力動画。パイプラインが生成した場合に任意で返されます。
viz_video
object {url, content_type, file_name, file_size} | null可視化またはデバッグ用の動画。パイプラインが生成した場合に任意で返されます。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/lightx/recamera.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt